Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xclip: new aport

From: systmkor <systmkor_at_gmail.com>
Date: Thu, 1 Jan 2015 02:40:30 -0800

Command line interface to the X11 clipboard
http://sourceforge.net/projects/xclip
---
 testing/xclip/APKBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 testing/xclip/APKBUILD
diff --git a/testing/xclip/APKBUILD b/testing/xclip/APKBUILD
new file mode 100644
index 0000000..96038a9
--- /dev/null
+++ b/testing/xclip/APKBUILD
_at_@ -0,0 +1,52 @@
+# Contributor: Orion <systmkor_at_gmail.com>
+# Maintainer: Orion <systmkor_at_gmail.com>
+# Reference
+#   https://www.archlinux.org/packages/extra/x86_64/xclip/
+pkgname=xclip
+pkgver=0.12
+pkgrel=0
+pkgdesc="Command line interface to the X11 clipboard"
+url="http://sourceforge.net/projects/xclip"
+arch="x86 x86_64"
+license="GPL2"
+depends="libxmu"
+depends_dev="libxmu-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/xclip/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="f7e19d3e976fecdc1ea36cd39e39900d  xclip-0.12.tar.gz"
+sha256sums="b7c7fad059ba446df5692d175c2a1d3816e542549661224806db369a0d716c45  xclip-0.12.tar.gz"
+sha512sums="6c769878004c02d87b9eca2b33dc34edb40acc59be767a6481f207a74d52fca3725a040b0c8deffa1419b687bd73cf3124a090413c06787c0dd137b0ede795e0  xclip-0.12.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 01 2015 - 02:40:30 GMT